Package com.mapd.thrift.server

## Class TColumn

- java.lang.Object
- - com.mapd.thrift.server.TColumn

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TColumn>`, `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`, `org.apache.thrift.TSerializable`

    public class TColumn
    extends Object
    implements org.apache.thrift.TBase<TColumn,​TColumn._Fields>, Serializable, Cloneable, Comparable<TColumn>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TColumn._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TColumnData` `data`
`static Map<TColumn._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<Boolean>` `nulls`

### Constructor Summary

Constructors
`TColumn()`
`TColumn​(TColumn other)` Performs a deep copy on other.
`TColumn​(TColumnData data, List<Boolean> nulls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToNulls​(boolean elem)`
`void` `clear()`
`int` `compareTo​(TColumn other)`
`TColumn` `deepCopy()`
`boolean` `equals​(TColumn that)`
`boolean` `equals​(Object that)`
`TColumn._Fields` `fieldForId​(int fieldId)`
`TColumnData` `getData()`
`Object` `getFieldValue​(TColumn._Fields field)`
`List<Boolean>` `getNulls()`
`Iterator<Boolean>` `getNullsIterator()`
`int` `getNullsSize()`
`int` `hashCode()`
`boolean` `isSet​(TColumn._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetData()` Returns true if field data is set (has been assigned a value) and false otherwise
`boolean` `isSetNulls()` Returns true if field nulls is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TColumn` `setData​(TColumnData data)`
`void` `setDataIsSet​(boolean value)`
`void` `setFieldValue​(TColumn._Fields field, Object value)`
`TColumn` `setNulls​(List<Boolean> nulls)`
`void` `setNullsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetData()`
`void` `unsetNulls()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### data

    public TColumnData data

#### nulls

    public List<Boolean> nulls

#### metaDataMap

    public static final Map<TColumn._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TColumn

    public TColumn()

#### TColumn

    public TColumn​(TColumnData data,
                   List<Boolean> nulls)

#### TColumn

    public TColumn​(TColumn other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TColumn deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### getData

    public TColumnData getData()

#### setData

    public TColumn setData​(TColumnData data)

#### unsetData

    public void unsetData()

#### isSetData

    public boolean isSetData()

Returns true if field data is set (has been assigned a value) and false otherwise

#### setDataIsSet

    public void setDataIsSet​(boolean value)

#### getNullsSize

    public int getNullsSize()

#### getNullsIterator

    public Iterator<Boolean> getNullsIterator()

#### addToNulls

    public void addToNulls​(boolean elem)

#### getNulls

    public List<Boolean> getNulls()

#### setNulls

    public TColumn setNulls​(List<Boolean> nulls)

#### unsetNulls

    public void unsetNulls()

#### isSetNulls

    public boolean isSetNulls()

Returns true if field nulls is set (has been assigned a value) and false otherwise

#### setNullsIsSet

    public void setNullsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TColumn._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### getFieldValue

    public Object getFieldValue​(TColumn._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### isSet

    public boolean isSet​(TColumn._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TColumn that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TColumn other)

Specified by:
  `compareTo` in interface `Comparable<TColumn>`

#### fieldForId

    public TColumn._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TColumn,​TColumn._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`